Bug 454 - Solaris packaging broken
Solaris packaging broken
Product: Samba 3.0
Classification: Unclassified
Component: Packaging
Other other
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Depends on:
  Show dependency treegraph
Reported: 2003-09-15 05:25 UTC by Tim Potter
Modified: 2005-02-07 09:06 UTC (History)
1 user (show)

See Also:

Includes the .dat files from the codepages directory in the package prototype file (522 bytes, patch)
2003-09-16 11:09 UTC, Brian King
no flags Details
Adds the lib/charset directory and puts CPs found in source/bin into it (1.32 KB, patch)
2003-09-16 11:44 UTC, Brian King
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Potter 2003-09-15 05:25:50 UTC
Message-ID: <3F65AF35.8CE73470@teledetection.fr>
Date: Mon, 15 Sep 2003 14:23:17 +0200
From: Guy Roussin <guy.roussin@teledetection.fr>
To: samba-technical@lists.samba.org
Subject: samba 3.0.0 rc3 solaris 8


1) Solaris packaging:
I notice the directory lib/charset is not created, also,
CP850.so and CP437.so are not in lib/charset

2) 646.so missing. Running testparm i get this one:
Error loading module '/usr/local/samba/lib/charset/646.so': ld.so.1: testparm:
/usr/local/samba/lib/charset/646.so: open failed: No such file or directory

3) swat not ok
when http://sambaserver:901 i get :
500 Server Error
chdir failed - the server is not configured correctly


Guy Roussin
Comment 1 Brian King 2003-09-16 11:09:27 UTC
Created attachment 143 [details]
Includes the .dat files from the codepages directory in the package prototype file

This does not address all the problems listed, but it does include the codepage
dat files which are also currently left out of the Solaris packaging.

Note, the testparm problem with 646.so was reported under bug 375 and is fixed
in recent cvs code.
Comment 2 Brian King 2003-09-16 11:44:44 UTC
Created attachment 144 [details]
Adds the lib/charset directory and puts CPs found in source/bin into it

The codepages (CP*.so) used to be packaged up and stuffed in samba/bin. This
patch means they now end up in samba/lib/charset and not in bin.

Note, this diff was generated AFTER the previous patch was applied so you might
need to apply the 2 in order.

Modifies makepkg.sh.tmpl AND prototype.master
Comment 3 Gerald (Jerry) Carter 2003-09-22 09:10:24 UTC
patches applied
Comment 4 Gerald (Jerry) Carter 2003-09-22 09:17:43 UTC
I need more details on the SWAT error.  Brian, 
can you reproduce this?  I'm wondering if is a 
packaging bug or if somethign just wasn't done
correctly when building the package.
Comment 5 Brian King 2003-09-22 10:12:57 UTC
We don't use SWAT here. It might be a while before I can try to reproduce it. 
No promises, but I'll see if I can do it this week.

Comment 6 Gerald (Jerry) Carter 2003-12-12 08:28:03 UTC
reseting target milestone.  3.0.1 has been frozen.  WIll have to 
re-evaluate these.
Comment 7 Gerald (Jerry) Carter 2004-03-18 10:12:20 UTC
solaris packaging is currently unmaintained. 
Marking this one as later. There's a lot that needs to be done here.
Comment 8 Gerald (Jerry) Carter 2005-02-07 09:06:22 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.